Bug 1250883 - [admin portal] edit host does not work - conflict with foreman option
[admin portal] edit host does not work - conflict with foreman option
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
3.6
Unspecified Unspecified
unspecified Severity high
: ---
: 3.6.0
Assigned To: Alexander Wels
Lukas Svaty
ux
: Regression
Depends On:
Blocks: 1179689
  Show dependency treegraph
 
Reported: 2015-08-06 04:40 EDT by Jiri Belka
Modified: 2016-02-10 14:46 EST (History)
9 users (show)

See Also:
Fixed In Version: 3.6.0-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 08:53:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (169.42 KB, image/png)
2015-08-06 04:40 EDT, Jiri Belka
no flags Details

  None (edit)
Description Jiri Belka 2015-08-06 04:40:56 EDT
Created attachment 1059796 [details]
screenshot

Description of problem:

Edit Host dialog is broken, when you edit host which do not use forman then while clicking 'OK' the dialog highlights Host Groups and Compute Resources forms. Thus I suppose that 'Enable Foreman/Satellite' is always enabled behind the scene... :)

See screenshot.

(Discovered while I added power8e host into power8 cluster and install failed, then I tried to edit the host's cluster and get this issue. I also tested with with normal edit on x86_64 host in valid cluster.)

Version-Release number of selected component (if applicable):
ovirt-engine-webadmin-portal-3.6.0-0.0.master.20150804111407.git122a3a0.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Edit Host dialog, click OK
2.
3.

Actual results:
Not possible to successfully finish host Edit Dialog, foreman/satellite forms have to be edited even you don't use these features

Expected results:
should work

Additional info:
Comment 1 Lukas Svaty 2015-09-15 10:23:32 EDT
verified in rhevm-webadmin-portal-3.6.0-0.13.master.el6.noarch
Comment 2 Sandro Bonazzola 2015-11-04 08:53:12 EST
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.

Note You need to log in before you can comment on or make changes to this bug.